Package ru.bitel.bgbilling.modules.softkey.server.bean

# Class SoftkeyParams

java.lang.Object
ru.bitel.bgbilling.modules.softkey.server.bean.SoftkeyParams

public class SoftkeyParams extends Object
Класс с параметрами модуля SoftKey

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SOFTKEY_SERVER_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftkeyParams(ModuleSetup moduleSetup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAc()`
  `int`
  `getChargeTypeId()`
  `int`
  `getEmailPid()`
  `int`
  `getFioPid()`
  `PrivateKey`
  `getISPPrivateKey()`
  Возвращает закрытый ключ провайдера
  `PublicKey`
  `getISPPublicKey()`
  Возвращает открытый ключ провайдера
  `int`
  `getMaxSubscribeCount()`
  `String`
  `getPassword()`
  `PublicKey`
  `getSoftkeyPublicKey()`
  Возвращает открытый ключ системы softkey
  `String`
  `getWebMenuTitle()`
  `void`
  `setAc(int ac)`
  `void`
  `setChargeTypeId(int chargeTypeId)`
  `void`
  `setEmailPid(int emailPid)`
  `void`
  `setFioPid(int fioPid)`
  `void`
  `setMaxSubscribeCount(int maxSubscribeCount)`
  `void`
  `setPassword(String password)`
  `void`
  `setWebMenuTitle(String webMenuTitle)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SOFTKEY_SERVER_URL

    public static final String SOFTKEY_SERVER_URL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SoftkeyParams

    public SoftkeyParams(ModuleSetup moduleSetup)

- ## Method Details

  - ### getAc

    public int getAc()

  - ### setAc

    public void setAc(int ac)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getWebMenuTitle

    public String getWebMenuTitle()

  - ### setWebMenuTitle

    public void setWebMenuTitle(String webMenuTitle)

  - ### getChargeTypeId

    public int getChargeTypeId()

  - ### setChargeTypeId

    public void setChargeTypeId(int chargeTypeId)

  - ### getMaxSubscribeCount

    public int getMaxSubscribeCount()

  - ### setMaxSubscribeCount

    public void setMaxSubscribeCount(int maxSubscribeCount)

  - ### getFioPid

    public int getFioPid()

  - ### setFioPid

    public void setFioPid(int fioPid)

  - ### getEmailPid

    public int getEmailPid()

  - ### setEmailPid

    public void setEmailPid(int emailPid)

  - ### getSoftkeyPublicKey

    public PublicKey getSoftkeyPublicKey() throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Возвращает открытый ключ системы softkey
    Returns:
      открытый ключ
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getISPPrivateKey

    public PrivateKey getISPPrivateKey() throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Возвращает закрытый ключ провайдера
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getISPPublicKey

    public PublicKey getISPPublicKey() throws ru.bitel.bgbilling.common.BGException
    Возвращает открытый ключ провайдера
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`